pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/bootstrap It's been a couple years since the pkgsrc re...
details: https://anonhg.NetBSD.org/pkgsrc/rev/12660cbf61fb
branches: trunk
changeset: 572189:12660cbf61fb
user: schmonz <schmonz%pkgsrc.org@localhost>
date: Sun Feb 21 19:04:07 2010 +0000
description:
It's been a couple years since the pkgsrc repository was modified
to support being checked out on case-insensitive file systems, and
many bulk builds have been done since then. Remove verbiage on this
subject, since nobody needs to concern themselves with it anymore,
and retire the associated script to create a suitable disk image.
(Similar changes to the Guide will follow shortly.)
diffstat:
bootstrap/README.Darwin | 22 ---------
bootstrap/README.MacOSX | 13 +-----
bootstrap/darwindiskimage | 110 ----------------------------------------------
3 files changed, 1 insertions(+), 144 deletions(-)
diffs (160 lines):
diff -r aa2f5e0af6ba -r 12660cbf61fb bootstrap/README.Darwin
--- a/bootstrap/README.Darwin Sun Feb 21 16:45:03 2010 +0000
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,22 +0,0 @@
-$NetBSD: README.Darwin,v 1.7 2008/05/09 18:37:54 agc Exp $
-
-If you are using Mac OS X, please read "README.MacOSX" as well.
-
-Terse instructions:
-
-$ ./darwindiskimage create ~/Documents/NetBSD 1024 # megabytes - season to taste
-$ ./darwindiskimage mount ~/Documents/NetBSD
-$ sudo chown `id -u`:`id -g` /Volumes/NetBSD
-$ curl -O \
- ftp://ftp.netbsd.org/pub/NetBSD/NetBSD-current/tar_files/pkgsrc.tar.gz
-$ tar -C /Volumes/NetBSD -zxvf pkgsrc.tar.gz && rm pkgsrc.tar.gz
-$ sudo ./bootstrap \
- --prefix /Volumes/NetBSD/pkg \
- --pkgdbdir /Volumes/NetBSD/pkgdb
-
-Note: if you already have a UFS partition, or have a spare partition
-that you can format as UFS, use that instead of the UFS disk image.
-It'll be somewhat faster and will mount automatically at boot time.
-
-You can use an ordinary HFS+ file system for pkgsrc; pkgsrc now works
-fine with both case-sensitive and case-insensitive file systems.
diff -r aa2f5e0af6ba -r 12660cbf61fb bootstrap/README.MacOSX
--- a/bootstrap/README.MacOSX Sun Feb 21 16:45:03 2010 +0000
+++ b/bootstrap/README.MacOSX Sun Feb 21 19:04:07 2010 +0000
@@ -1,15 +1,4 @@
-$NetBSD: README.MacOSX,v 1.7 2009/09/21 15:33:13 tron Exp $
-
-Please read "README.Darwin" as well, as everything there also applies
-to Mac OS X.
-
-
-File systems:
-
-Previously, pkgsrc needed to be installed on a case-insensitive file
-system. Starting in 2007, this restriction has been relaxed, and
-pkgsrc will work on case-insensitive as well as case sensitive file
-systems.
+$NetBSD: README.MacOSX,v 1.8 2010/02/21 19:04:07 schmonz Exp $
Mac OS X Snow Leopard Binary ABI problem:
diff -r aa2f5e0af6ba -r 12660cbf61fb bootstrap/darwindiskimage
--- a/bootstrap/darwindiskimage Sun Feb 21 16:45:03 2010 +0000
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,110 +0,0 @@
-#!/bin/sh
-#
-# $NetBSD: darwindiskimage,v 1.2 2006/08/30 04:36:10 schmonz Exp $
-
-_getdevice_and_halfway_mount()
-{
- hdid -nomount "$1" | _getdevicebasename | tail -1
-}
-
-_getdevicebasename()
-{
- awk '{print $1}' | sed -e 's|^/dev/||'
-}
-
-_normalize_filename()
-{
- echo "$1" | sed -e 's|\.dmg$||' -e 's|$|.dmg|'
-}
-
-dmg_create()
-{
- local fstype fs osmajor file mountedname megabytes device
- [ $# -eq 2 ] || die 1 "Usage: $0 create <file> <megabytes>"
-
- # Use case-sensitive HFS+ where available (Darwin >= 7)
- fstype='Apple_UFS'
- fs='UFS'
- osmajor=`uname -r | awk 'BEGIN {FS="."} {print $1}'`
- if [ ${osmajor} -ge 7 ]; then
- fstype='Apple_HFSX'
- fs='HFSX'
- fi
-
- file="`_normalize_filename \"$1\"`"
- mountedname="`basename \"${file}\" .dmg`"
- megabytes=$2
-
- # create
- hdiutil create -quiet "${file}" -megabytes ${megabytes} \
- -partitionType ${fstype} -layout SPUD -fs ${fs}
-
- # rename
- device=`_getdevice_and_halfway_mount "${file}"`
- hdiutil mount "${file}"
- disktool -n "${device}" "${mountedname}"
- hdiutil eject -quiet "${device}"
-}
-
-dmg_mount()
-{
- local file device exitcode
- [ $# -eq 1 ] || die 1 "Usage: $0 mount <file>"
-
- file="`_normalize_filename \"$1\"`"
-
- hdiutil mount ${file}
-}
-
-
-dmg_umount()
-{
- local mountpoint device
- [ $# -eq 1 ] || die 1 "Usage: $0 umount <mount-point>"
-
- mountpoint="$1"
- device=`mount | grep "${mountpoint} (local" | _getdevicebasename`
-
- [ "${device}" ] || die 1 "error: no device mounted at ${mountpoint}"
-
- hdiutil eject -quiet "${device}"
-}
-
-die()
-{
- local exitcode
- exitcode=$1; shift
- warn "$@"
- exit ${exitcode}
-}
-
-warn()
-{
- echo >&2 "$@"
-}
-
-try()
-{
- exitcode=$1; shift
- action=$1; shift
- error=`"${action}" "$@" 2>&1` || die ${exitcode} "${error}"
-}
-
-main()
-{
- [ $# -eq 0 ] && die 1 "Usage: $0 <create|mount|umount>"
- ACTION="$1"; shift
- case ${ACTION} in
- create|mount|umount)
- try 1 "dmg_${ACTION}" "$@"
- return 0
- ;;
- *)
- die 1 "Usage: $0 <create|mount|umount>"
- ;;
- esac
-}
-
-PATH=${PATH}:/sbin:/usr/sbin
-main "$@"
-exit $?
Home |
Main Index |
Thread Index |
Old Index